Reset the peak memory usage

- « memory_get_usage

- php_ini_loaded_file »

- PHP Manual
- PHP Options/Info Functions
- Reset the peak memory usage

# memory_reset_peak_usage

(PHP 8 >= 8.2.0)

memory_reset_peak_usage — Reset the peak memory usage

### Description

memory_reset_peak_usage(): void

Resets the peak memory usage returned by the memory_get_peak_usage() function.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 memory_reset_peak_usage() example

    <?phpvar_dump(memory_get_peak_usage());$a = str_repeat("Hello", 424242);var_dump(memory_get_peak_usage());unset($a);memory_reset_peak_usage();$a = str_repeat("Hello", 2424);var_dump(memory_get_peak_usage());?>

The above example will output something similar to:

    int(422440)
    int(2508672)
    int(399208)

### See Also

- memory_get_peak_usage() - Returns the peak of memory allocated by PHP